@echo off
set FILENAME=
if .%1.==.. goto NOARG
if .%2.==.. goto ONEARG
if .%3.==.. goto TWOARG
if .%4.==.. goto THREEARG
if .%5.==.. goto FOURARG
:NOARG
goto HELP
:ONEARG
set FILENAME=%~n1
set 1=
goto MAIN
:TWOARG
set FILENAME=%~n2
set 2=
goto MAIN
:THREEARG
set FILENAME=%~n3
set 3=
goto MAIN
:FOURARG
set FILENAME=%~n4
set 4=
goto MAIN
:MAIN
del /q *.te_
del /q *._cnv
for %%i in (*.tex) do ren %%i %%~ni.te_
for %%i in (*.te_) do iconv -f CP949 -t UTF-8 %%~ni.te_ >%%~ni.tex
pdflatex --interaction=nonstopmode %1 %2 %3 %4 %5 %FILENAME%
for %%i in (*.tex) do ren %%i %%~ni._cnv
for %%i in (*.te_) do ren %%i %%~ni.tex
goto END
:HELP
echo at least one arg required.
goto END
:END
